Subject: bug#51654: 29.0.50; mule-cmds.el compiler warnings about emoji-*

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Nov 2021 12:13:05 +0200

> From: Arash Esbati <[email-masked]>
> Date: Sun, 07 Nov 2021 09:37:24 +0100
> 
> I get this with master (f80fd099fc):
> 
> --8<---------------cut here---------------start------------->8---
>   ELC+ELN  ../lisp/international/mule-cmds.elc
> 
> In end of data:
> mule-cmds.el:3268:21: Warning: the function `emoji-list' is not known to be
>     defined.
> mule-cmds.el:3267:21: Warning: the function `emoji-recent' is not known to be
>     defined.
> mule-cmds.el:3266:21: Warning: the function `emoji-describe' is not known to
>     be defined.
> mule-cmds.el:3265:21: Warning: the function `emoji-search' is not known to be
>     defined.
> mule-cmds.el:3263:21: Warning: the function `emoji-insert' is not known to be
>     defined.
> --8<---------------cut here---------------end--------------->8---
> 
> I think after 6b706b1a7d, requiring the emoji library is necessary.

I guess you didn't bootstrap?  If so, just touch mule-cmds.el and try
again.